The forum

League of Legends : error message with installing (ubuntu 19.10)

Author Replies
Peteboy Wednesday 6 May 2020 at 20:50
PeteboyAnonymous

Hello,

 I recently switched to Linux and wanted to install League of Legends but I had an error message.
First of all here are some information about my computer, distribution and the version of Play on Linux:

Distribution: Pop!_ Os 19.10
Video card: Nvidia Geforce GT 730
Processor: Intel Core i3-2100
Memory: 3,8 GiB
OS type: 64-bit
Play on Linux version: 4.3.4

   Before I had played League of Legends on Windows but switched to Linux because of some problems. I had tried downloading LoL with Lutris but the client with it is messed up. For example you can't chat with friends, can't view quest, can't chat in champselect and is a bit laggy. So I tried downloading it with Play on Linux while reading tutorials about it but every time this error message popped up:

                   Error
There has been an error.
Error running C:\Riot Games\League of Legends/
Prerequistes/Dx9/dxsetup.exe /silent : child killed:
unknown signal
This application will exit now.

                                         OK

I have tried to download it with the downloaded installer through Play on Linux but then another error message popped up. Now I don't have a clue on what to do.
   Do someone know what's the issue?

Waiting for your response,
Peter

 

Dadu042 Wednesday 6 May 2020 at 21:51
Dadu042
Moderator

About 'Error running C:\Riot Games\League of Legends/Prerequistes/Dx9/dxsetup.exe' : do not install Direct X 9.

Peteboy Thursday 7 May 2020 at 12:22
PeteboyAnonymous

But the thing is that I didn't install Direct X 9

Dadu042 Thursday 7 May 2020 at 16:36
Dadu042
Moderator

I see that the script runs in 32 bits (POL_System_SetArch "x86"), Ubuntu 19.10 drops some parts of 32bits support. Perhaps that's the cause of the problem (no way).

Edited by Dadu042